Bug 220838 - [PATCH] Update security/putty to 0.70 + Heimdal ports and MIT support
Summary: [PATCH] Update security/putty to 0.70 + Heimdal ports and MIT support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-07-18 19:28 UTC by Cy Schubert
Modified: 2017-08-11 13:21 UTC (History)
1 user (show)

See Also:
mandree: maintainer-feedback+
mandree: maintainer-feedback+


Attachments
Update security/putty to 0.70 + Heimdal ports and MIT support (1.81 KB, patch)
2017-07-18 19:28 UTC, Cy Schubert
mandree: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cy Schubert freebsd_committer 2017-07-18 19:28:19 UTC
Created attachment 184483 [details]
Update security/putty to 0.70 + Heimdal ports and MIT support

Attached is a patch to update security/putty to 0.70 and add support for security/heimda and security/krb5. Of course these should be committed in two commits to separate two distinct updates.

Tested on a recent -CURRENT.
Comment 1 Matthias Andree freebsd_committer 2017-07-19 06:47:29 UTC
Planning to check within 48 h.
Comment 2 Matthias Andree freebsd_committer 2017-07-19 06:49:06 UTC
Note that https://www.chiark.greenend.org.uk/~sgtatham/putty/changes.html refers to Windows-DLL-highjacking specific fixes, so this does not appear to be urgent on Unix.
Comment 3 Cy Schubert freebsd_committer 2017-07-20 13:20:12 UTC
That's fine. Looks like 0.69 is also Windows specific.

Do you mind committing the HEIMDAL and MIT patch? Heimdal in base will will become private during the process to switch to options Kerberos in base.
Comment 4 Matthias Andree freebsd_committer 2017-08-11 09:00:42 UTC
Sorry for the unexpected delay, I trashed my FreeBSD 10 VM and have re-setup a FreeBSD 11.1 dual-boot (bare metal or VBox guest) system. 

The updates themselves look fine and uncovered two related nits to pick (GSSAPI_BASE_DESC too long and a stale security/putty-nogtk OPTIONS_EXCLUDE now fixed), 11.1 live system builds seem fine, now testing clean-room builds on 10.3 and 11.0 poudriere boxes which make take a while.
Comment 5 Matthias Andree freebsd_committer 2017-08-11 09:01:49 UTC
Comment on attachment 184483 [details]
Update security/putty to 0.70 + Heimdal ports and MIT support

one minor nit is whitespace after one of the new variable names contained a blank rather than a tab, causing portlint -AC FATAL complaint. I am testing and will commit later.
Comment 6 commit-hook freebsd_committer 2017-08-11 12:59:37 UTC
A commit references this bug:

Author: mandree
Date: Fri Aug 11 12:58:55 UTC 2017
New revision: 447756
URL: https://svnweb.freebsd.org/changeset/ports/447756

Log:
  Update to 0.70, and make GSSAPI impl. selectable.

  PR:		220838
  Submitted by:	cy@

Changes:
  head/security/putty/Makefile
  head/security/putty/distinfo
Comment 7 Matthias Andree freebsd_committer 2017-08-11 13:21:48 UTC
committed in one revision, since I have not tested the in-between version that would result from doing two commits.